import peasy.*;

CameraState setCamFrontView(PeasyCam cam)
{
  float[] look = cam.getLookAt();
  double disn = cam.getDistance();
  Rotation rot = new Rotation(RotationOrder.XYZ, -PI/2.0, 0, 0);
  Vector3D pos = new Vector3D((double)look[0], (double)look[1], (double)look[2]);
  
  CameraState state = new CameraState(rot, pos, disn);
  return state;
}